// tab 
.page-body{
	background: #7DA8D9;
	position: relative;
	overflow: hidden;
	&:before{
		content: '';
		background-image: url(../img/texture_bg.png);
		width: 100%;
		height: 100%;
		position: absolute;
		background-repeat: no-repeat;
		opacity: .2;
		top: 130px;
		left: 0;
	}
	.section{
		/*owner service tab*/

		// owner service
		&.owner-service{
			.section-headline{
				margin-bottom: 74px;
			}
			.one{
				padding-right: 40px;
			}
			.two{
				padding-left: 40px;
			}
			.info{
				margin-top: 75px;
				text-align: center;
				letter-spacing: 1.74px;
				color: #F5F8FA;
				text-transform: capitalize;
				font-size: 28px;
				font-family: Lato-Regular;
				line-height: 43px;
				display: block;
				width: 100%;
				p{
					margin-bottom: 0;
				}
			}
			a.owner-service-image{
				display: block;
				width: 100%;
			}
		}

		//recommend service
		&.recommend-service{
			.documents{
				display: flex;
				justify-content: center;
				@include document;
			}
		}

		/*repair tab*/

		// repair
		&.paint-body{
			@include team;
		}

		// appoinment (repair-tab & department-tab)
		&.appoinment{
			
		}

		/*department-tab*/

		//service-department
		&.service-department{
			@include team;
			.team-text{
				.image{
					.team-image{
					}
				}
				.info{
					.details{

						.header{
							white-space: pre-line;
						}
					}
				}
			}
		}

		//parts-department
		&.parts-department{
			@include team;
			.team-text{
				.image{
					.team-image{
					}
				}
				.info{
					.details{

						.header{
							white-space: pre-line;
						}
					}
				}
			}
		}

		//service-department
		&.remodel-department{
			@include team;
			.team-text{
				.image{
					.team-image{
					}
				}
				.info{
					.details{

						.header{
							white-space: pre-line;
						}
						.body{
							white-space: pre-line;
						}
					}
				}
			}
		}

		//our-work
		&.our-work{
			.work-image{
				&:nth-child(odd){
					padding-left: 0;
					padding-right: 26px;
				}
				&:nth-child(even){
					padding-left: 26px;
					padding-right: 0;
				}
				&:nth-child(1),&:nth-child(2){
					margin-bottom: 44px;
				}

				img{
					height: 575px;
					width: 100%;
					object-fit: cover; 
				}
			}
		}

		/*technical-support tab*/

		// technical-support
		&.technical-support{

			.technical-qa{
				margin-top: 58px;
				margin-bottom: 58px;

			}

			.technical-qa-form{
				margin-bottom: 81px;
				
				.form-elements{
					display: flex;
					justify-content: space-between;
					.padding-gap{
						padding-right: 100px;
					}

					.input-section-padding{
						padding-left: 48px;
						
					}

					.font-size{
						font-size: 26px;
						letter-spacing: 2.6px;
						line-height: 42px;
						color: #ABABAB;
					}
					.select-options{
						.categories{
							width: 564px;
							height: 65px;
							
						}

						
					}

					.select-sections{
						.sections{
							width: 564px;
							height: 65px;
						}
					}
				}

				.submit-button{

					button{
						width: 182px;
						height: 65px;
						background-color: #F5F8FA;
						box-shadow: 0px 3px 6px #00000029;
						border: 0;
						font-family: 'Lato-Bold';
						font-size: 28px;
						color: #003470;
						letter-spacing: 2.8px;
						line-height: 42px;
						text-align: center;
						text-transform: uppercase;
					}
				}
			}

			.tichnical-qa-data{
				margin-top: 81px;
				background-color: #F5F8FA;
				padding-top: 54px;
				padding-left: 126px;
				padding-right: 126px;
				padding-bottom: 95px;
				box-shadow: 0px 3px 6px #00000029;
				border-bottom-left-radius: 26px;
				border-bottom-right-radius: 26px;

				.text-padding-bottom{
					padding-bottom: 36px;
					
				}

				
				.extra-padding-bottom{
					padding-bottom: 20px!important;
				}

				.text-padding-top{
					padding-top: 43px;
				}
				.t-header{
					font-size: 28px;
					color: #003470;
					letter-spacing: 2.8px;
					line-height: 42px;
					font-family: 'Lato-Bold';

				

				}

				.t-body-exception{
					padding-top: 54px;
					padding-left: 50px;
					border-left: 5px solid #92BDF4;
					background-color: #FFFFFF;
					margin-left: 20px;

				}
				.t-body{

					font-size: 28px;
					font-family: 'Lato-Regular';
					color: #205D85;
					letter-spacing: 1.4px;
					line-height: 43px;
					
				}
				$topic-margin: 44px;
				.topic{
					font-size: 28px;
					font-family: 'Lato-Regular';
					color: #205D85;
					letter-spacing: 1.4px;
					line-height: 43px;
					text-transform: capitalize;
					margin-bottom: $topic-margin;
				}
				.answer-wrapper{
					margin-bottom: $topic-margin;
					.answer-link{
						margin-bottom: $topic-margin;
						font-size: 28px;
						font-family: 'Lato-Bold';
						line-height: 42px;
						letter-spacing: 2.8px;
						color: #003470;
						text-transform: uppercase;
						cursor: pointer;
						user-select: none;
						&:before{
							content: 'show ';
						}
					}
					.answer{
						display: none;
						padding: 42px 62px;
						border-left: 5px solid #92BDF4;
						background-color: #FFFFFF;
						margin-left: $topic-margin;
						font-size: 28px;
						font-family: 'Lato-Regular';
						line-height: 37px;
						letter-spacing: 1.51px;
						color: #205D85;
						text-transform: capitalize;
					}

					&.show{
						.answer-link{
							&:before{
								content: 'hide ';
							}
						}
						.answer{
							display: block;
						}
					}

					&:last-child{
						margin-bottom: 0;
						.answer-link{
							margin-bottom: 0
						}

						&.show{
							.answer-link{
								margin-bottom: $topic-margin
							}	
						}
					}
				}
			
			}
		}

		/*information tab*/

		// warranty information
		&.warranty-information{
			.documents{
				display: flex;
				justify-content: space-around;
				flex-wrap: wrap;

				.document-wrapper{
					padding: 35px;
					display: flex;
					flex-direction: column;
					align-items: center;
					// flex: 1;						
					justify-content: flex-end;
					.text{
						text-align: center;
						font-size: 28px;
						font-family: Lato-Regular;
						letter-spacing: 1.74px;
						line-height: 43px;
						color: #F5F8FA;
						text-transform: capitalize;
						margin-bottom: 35px;    						
						white-space: pre-line;
					}
					@include document(410,500,14);
					.document{
						img{
							height: 85px;
						}
					}
				}
			}
		}

		// helpful service
		&.helpful-service{
			.documents{
				display: flex;
				justify-content: space-around;
				flex-wrap: wrap;

				@include document(273,125,5);
				.document{
					margin: 60px 20px;
    				justify-content: flex-end;

    				&:hover{
    					.icon{
    						top: -80px;
    					}
    				}
					.icon{
						width: 85px;
						height: 80px;
						border: 5px solid #A0C7F3;
						border-radius: 50%;
						display: flex;
						align-items: center;
						justify-content: center;
						background-color: #fff;    
						position: absolute;
						top: -40px;
						transition: .3s;
						img{
							width: 47px;
							height: 47px;
						}
					}
					.title{
						font-size: 20px;
						letter-spacing: 1px;
						line-height: 24px;
						height: calc(100% - 50px);
						overflow: hidden;
						display: -webkit-box;
						-webkit-line-clamp: 3;
						-webkit-box-orient: vertical;
					}
				}
			}
		}

		// vendor contact information
		&.vendor-contact{
			.table-responsive{
				max-height: 800px;
				overflow-y: hidden;
				transition: .3s;
			}
			.table-vendor-contact{
				color: #C2D4FF;
				text-align: center;
				th,td{
					color: #F5F8FA;
					font-family: Lato-Bold;
					line-height: 42px;
					text-transform: uppercase;
					padding: 70px 0;
					vertical-align: middle;
				}
				th{

					font-size: 23px;
					letter-spacing: 2.3px;
				}
				td{
					font-size: 18px;
					letter-spacing: 1.8px;
				}
				thead{
					th,td{
						border: 0;
						background-color: rgba(#739AC8, .8);
					}
				}
				tbody{
					tr:first-child{
						th,td{
							border: 0;
						}
					}
					tr{
						&:hover{
							th{
								background-color: rgba(#6996cf,.75);
							}
							td{
								background-color: rgba(#98b0db,.75);
							}
						}
					}
					th,td{
						border-color: #FFFFFF;
						cursor: pointer;
					}
					th{
						background-color: rgba(#6996cf,1);
					}
					td{
						background-color: rgba(#98b0db,1);

						white-space: pre-line;
					}
				}
				tfoot{
					td{
						padding: 0;
						
					}
				}
			}
			.load-wrapper{
				position: relative;
				.load-more-contact{
					position: absolute;
					right: 20px;
					top: -45px;
					height: 65px;
					width: 65px;
					border-radius: 50%;
					background-color: #E4E4E4;
					cursor: pointer;
					display: flex;
					align-items: center;
					justify-content: center;
					user-select: none;
					transform: rotate(0deg);
					transition: 0.3s;
					&:hover{
						background-color: #ddd;
					}
					img{
						width: 20px;
					}
				}
				&.loaded{
					.load-more-contact {
						transform: rotate(180deg);
					}
				}
			}
			
		}

		// service center location
		&.service-center-location{
			.list-of-location{
				list-style: none;
				margin: 0 0 70px 0;
				padding: 0;
				display: flex;
				justify-content: center;
				flex-wrap: wrap;
				li{
					padding: 0 23px;
					a{
						color: #F5F8FA;
						font-family: Lato-Regular;
						letter-spacing: 1.6px;
						font-size: 16px;
						text-transform: uppercase;
						text-decoration: none;
						line-height: 42px;
					    padding: 10px;
					    border-radius: 5px;
					}
					&.active, &:hover{
						a{
							color: rgba(32, 53, 101, .8);
						    background: rgba(#F5F8FA, .5);
						}
					}
				}
			}
			.map{
				height: 600px;
				width: 100%;
				a{
					color: #007bff
				}
			}
		}

		// service specials
		&.service-specials{
			.container{
				.row{
					.col-12{
						.service-special{
							.service{
								margin-left: 15px;
								margin-right: 15px;
								.image{
									img{
										width: 100%;
										height: 525px;	
										object-fit: cover;
											
									}
								}

							}
							.info{
								width: 100%;
								height: auto;
								padding-top: 18px;
								padding-bottom: 21px;
								padding-left: 24px;
								padding-right:23px;
								color: #003470;
								
								background-color: #F5F8FA;
								position: relative;
								
								.name{
									font-family: 'Lato-Bold';
									font-size: 24px;
									letter-spacing: 1.2px;
									line-height: 37px;
								
								}
								.position{
									text-transform: capitalize;
									font-size: 13px;
									letter-spacing: .65px;
								}
							}
						}
					}
				}
			}
		}

		&.our-special-team{
			@include  team;
		}



	}
}